Bug 152321

Summary: REGRESSION (r189536): word-wrap: break-word; doesn't apply to elements whose parents set a max and min width
Product: WebKit Reporter: Jon Lee <jonlee>
Component: Layout and RenderingAssignee: Dave Hyatt <hyatt>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, esprehn+autocc, glenn, hyatt, kondapallykalyan, mcatanzaro, mmaxfield, ossy, simon.fraser, svillar, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Test case
none
Patch simon.fraser: review+

Description Jon Lee 2015-12-15 18:45:52 PST
Created attachment 267418 [details]
Test case

It appears r189536 broke the sample test case.
Comment 1 Dave Hyatt 2016-01-04 10:11:55 PST
I can take a look at this now that I'm back from vacation.
Comment 2 Dave Hyatt 2016-01-04 13:21:53 PST
Created attachment 268227 [details]
Patch
Comment 3 Dave Hyatt 2016-01-04 14:05:20 PST
Fixed in r194555.
Comment 4 Jon Lee 2016-01-04 15:09:41 PST
rdar://problem/23051859
Comment 5 Csaba Osztrogon√°c 2016-01-05 00:53:25 PST
(In reply to comment #3)
> Fixed in r194555.

The commit log was repeated 47 times. :( Dave, could you check your script?
Comment 6 Dave Hyatt 2016-01-05 13:08:19 PST
(In reply to comment #5)
> (In reply to comment #3)
> > Fixed in r194555.
> 
> The commit log was repeated 47 times. :( Dave, could you check your script?

Yeah, committing is broken on my machine, and the problem has persisted across OS upgrades and still happens when pulling a complete fresh tree. I have no idea how to fix it other than to just nuke my machine and start over. I guess that's what I'll do. :(